Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.asynchronous.concurrent
Class ThreadManagerFactory

    java.lang.Object
      org.jboss.aspects.asynchronous.concurrent.ThreadManagerFactory

public class ThreadManagerFactory
extends Object

Version:
  `$Revision: 1.2.4.4 $`
Author:
  {Claude Hussenet Independent Consultant}.

Field Summary
`protected String` | `DEFAULT_IS_POOLING`
`protected String` | `DEFAULT_IS_WAITING_WHEN_POOLSIZE_FULL`
`protected String` | `DEFAULT_KEEP_ALIVE`
`protected String` | `DEFAULT_MAX_THREAD`
`protected String` | `DEFAULT_MIN_THREAD`
`protected static String` | `IS_POOLING`
`protected static String` | `IS_WAITING_WHEN_POOLSIZE_FULL`
`protected static String` | `KEEP_ALIVE`
`protected static String` | `MAX_POOL_SIZE`
`protected static String` | `MIN_POOL_SIZE`
`protected static String` | `PROPERTY_FILE`
`protected static ResourceBundle` | `rb`
`protected ThreadManager` | `threadManager`
`protected static ThreadManagerFactory` | `threadManagerFactory`

Constructor Summary
`protected` | `ThreadManagerFactory()`

Method Summary
`static ThreadManagerRequest` | `createNewThreadManagerRequest(String id, AsynchronousParameters inputParameters, AsynchronousUserTask taskClassNameImpl, long timeout)`
`static ThreadManager` | `getThreadManager()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### threadManager

    protected ThreadManager threadManager

### DEFAULT_MIN_THREAD

    protected String DEFAULT_MIN_THREAD

### DEFAULT_MAX_THREAD

    protected String DEFAULT_MAX_THREAD

### DEFAULT_KEEP_ALIVE

    protected String DEFAULT_KEEP_ALIVE

### DEFAULT_IS_WAITING_WHEN_POOLSIZE_FULL

    protected String DEFAULT_IS_WAITING_WHEN_POOLSIZE_FULL

### DEFAULT_IS_POOLING

    protected String DEFAULT_IS_POOLING

### MIN_POOL_SIZE

    protected static String MIN_POOL_SIZE

### MAX_POOL_SIZE

    protected static String MAX_POOL_SIZE

### KEEP_ALIVE

    protected static String KEEP_ALIVE

### IS_WAITING_WHEN_POOLSIZE_FULL

    protected static String IS_WAITING_WHEN_POOLSIZE_FULL

### IS_POOLING

    protected static String IS_POOLING

### PROPERTY_FILE

    protected static String PROPERTY_FILE

### threadManagerFactory

    protected static final ThreadManagerFactory threadManagerFactory

### rb

    protected static ResourceBundle rb

Constructor Detail

### ThreadManagerFactory

    protected ThreadManagerFactory()

Method Detail

### getThreadManager

    public static ThreadManager getThreadManager()

### createNewThreadManagerRequest

    public static ThreadManagerRequest createNewThreadManagerRequest(String id,
                                                                     AsynchronousParameters inputParameters,
                                                                     AsynchronousUserTask taskClassNameImpl,
                                                                     long timeout)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.